Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface NativeDependencySet

    @Incubating
    public interface NativeDependencySet

Models a collection of native type dependencies.

Method Summary
`FileCollection` | `getIncludeRoots()` Returns the header file directories to use at compile time.
`FileCollection` | `getLinkFiles()` Returns the files to use at link time.
`FileCollection` | `getRuntimeFiles()` Returns the files to use at runtime.

Method Detail

### getIncludeRoots

    public FileCollection getIncludeRoots()

  Returns the header file directories to use at compile time.

### getLinkFiles

    public FileCollection getLinkFiles()

  Returns the files to use at link time.

### getRuntimeFiles

    public FileCollection getRuntimeFiles()

  Returns the files to use at runtime.

Gradle API 1.10